#pragma once

#include <cstdint>

namespace armarx::control::ethercat
{

    struct Timeouts
    {
        static constexpr int defaultRegisterRead_us = 100;
        static constexpr int defaultStateCheck_us = 10'000;
        static constexpr std::uint32_t defaultSDORead_us = 100'000;
        static constexpr std::uint32_t defaultSDOWrite_us = 50'000;

        int registerRead_us = defaultRegisterRead_us;
        int stateCheck_us = defaultStateCheck_us;
        std::uint32_t sdoRead_us = defaultSDORead_us;
        std::uint32_t sdoWrite_us = defaultSDOWrite_us;
    };

} // namespace armarx::control::ethercat
